Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.web.jcr.webdav
Class ResolvedRequest

    java.lang.Object
      org.modeshape.web.jcr.webdav.ResolvedRequest

    public final class ResolvedRequest

extends Object

The resolved repository name, workspace name, and path of node for a given `request`.

Constructor Summary
`ResolvedRequest(javax.servlet.http.HttpServletRequest request, String repositoryName, String workspaceName, String path)`

Method Summary
`String` | `getPath()` Get the path to the node.
`String` | `getRepositoryName()` Get the name of the repository.
`javax.servlet.http.HttpServletRequest` | `getRequest()` Get the request.
`String` | `getWorkspaceName()` Get the name of the workspace.
`String` | `toString()`
`ResolvedRequest` | `withPath(String path)` Create a new request that is similar to this request except with the supplied path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResolvedRequest

    public ResolvedRequest(javax.servlet.http.HttpServletRequest request,
                           String repositoryName,
                           String workspaceName,
                           String path)

Method Detail

### getRequest

    public javax.servlet.http.HttpServletRequest getRequest()

  Get the request.

  Returns:
    request the request; never null

### getRepositoryName

    public String getRepositoryName()

  Get the name of the repository.

  Returns:
    the repository name; may be null if the request did not resolve to a repository

### getWorkspaceName

    public String getWorkspaceName()

  Get the name of the workspace.

  Returns:
    the workspace name; may be null if the request did not resolve to a node

### getPath

    public String getPath()

  Get the path to the node.

  Returns:
    the path of the node; may be null if the request did not resolve to a node

### withPath

    public ResolvedRequest withPath(String path)

  Create a new request that is similar to this request except with the supplied path. This can only be done if the repository name and workspace name are non-null

  Parameters:
    `path` - the new path
  Returns:
    the new request; never null

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.